uk.gov.hmrc.ct.ct600a.v3

# WriteOff

###
Related Doc: package v3

#### case class WriteOff(id: String, amount: Option[Int], amountBefore06042016: Option[Int] = None, date: Option[LocalDate], endDateOfAP: Option[LocalDate] = None) extends LoansDateRules with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, LoansDateRules, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WriteOff
2. Serializable
3. Serializable
4. Product
5. Equals
6. LoansDateRules
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new WriteOff(id: String, amount: Option[Int], amountBefore06042016: Option[Int] = None, date: Option[LocalDate], endDateOfAP: Option[LocalDate] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val amount: Option[Int]

5. #### val amountBefore06042016: Option[Int]

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def currentAPEndDate(boxRetriever: CT600ABoxRetriever): LocalDate

9. #### def currentAPEndDatePlus9Months(boxRetriever: CT600ABoxRetriever): LocalDate

10. #### val date: Option[LocalDate]

    Definition Classes
      WriteOff → LoansDateRules

11. #### val endDateOfAP: Option[LocalDate]

    Definition Classes
      WriteOff → LoansDateRules

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def errorArgsWriteOffApEndDate(boxRetriever: CT600ABoxRetriever): Some[Seq[String]]

14. #### def errorArgsWriteOffDate(boxRetriever: CT600ABoxRetriever): Some[Seq[String]]

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### val id: String

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def isLaterReliefNotYetDue(acctPeriodEnd: LocalDate, filingDate: LPQ07): Boolean

    Definition Classes
      LoansDateRules

20. #### def isLaterReliefNowDue(acctPeriodEnd: LocalDate, filingDate: LPQ07): Boolean

    Definition Classes
      LoansDateRules

21. #### def isReliefEarlierThanDue(acctPeriodEnd: LocalDate): Boolean

    Definition Classes
      LoansDateRules

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def validate(boxRetriever: CT600ABoxRetriever, loansToParticipators: LoansToParticipators, loanIndex: Int): Set[CtValidation]

27. #### def validateWriteOff(invalid: Boolean, errorMsg: String, errorArgs: Option[Seq[String]], loanIndex: Int): Set[CtValidation]

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from LoansDateRules

### Inherited from AnyRef

### Inherited from Any

### Ungrouped